## mimetreeparser 24.12.3

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)

set(PIM_VERSION "6.3.3")
project(MimeTreeParserNG VERSION ${PIM_VERSION})

# ECM setup
set(KF_MIN_VERSION "6.6.0")
find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH
    ${CMAKE_MODULE_PATH}
    ${ECM_MODULE_PATH}
    ${CMAKE_CURRENT_SOURCE_DIR}/cmake/modules
)
set(QT_REQUIRED_VERSION "6.7.0")

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(ECMQmlModule)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
autotests/*.cpp
autotests/*.h
src/*.cpp
src/*.h
examples/*.cpp
examples/*.h	
)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMFeatureSummary)
include(ECMAddQch)
include(ECMAddTests)

include(ECMCheckOutboundLicense)
file(GLOB_RECURSE ALL_SOURCE_FILES
autotests/*.cpp
autotests/*.h
src/*.cpp
src/*.h
examples/*.cpp
examples/*.h
)
ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})


set(KPIM_MIME_VERSION "6.3.3")
set(KPIM_LIBKLEO_VERSION "6.3.3")
set(KPIM_MBOX_VERSION "6.3.3")
set(GPGME_REQUIRED_VERSION "1.23.2")

ecm_setup_version(PROJECT
    VARIABLE_PREFIX MIMETREEPARSERNG
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mimetreeparserng_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserCoreConfigVersion.cmake"
    SOVERSION 6
)

configure_file(mimetreeparserng-version.h.in ${CMAKE_CURRENT_BINARY_DIR}/src/mimetreeparserng-version.h @ONLY)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

if(BUILD_TESTING)
   add_definitions(-DBUILD_TESTING)
endif()

########### Find packages ###########
find_package(Qt6Gui ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt6PrintSupport ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG)
find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
find_package(KPim6Mbox ${KPIM_MBOX_VERSION} CONFIG REQUIRED)
find_package(KPim6Libkleo ${KPIM_LIBKLEO_VERSION} CONFIG REQUIRED)
find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)

find_package(Qt6Quick ${QT_REQUIRED_VERSION} CONFIG)
find_package(Qt6Widgets ${QT_REQUIRED_VERSION} CONFIG)

if(BUILD_TESTING)
    find_package(Qt6Test ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
endif()

########### Targets ###########

add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if(USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(src)
if(BUILD_TESTING)
    add_subdirectory(examples)
    add_subdirectory(autotests)
endif()

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparserng_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserCore
   COMPONENT Devel
)
ecm_qt_install_logging_categories(
    EXPORT MIMETREEPARSERNG
    FILE mimetreeparser.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DTRANSLATION_DOMAIN=\"mimetreeparser6\")
add_subdirectory(core)

if(Qt6Quick_FOUND)
    add_subdirectory(quick)
endif()

if(Qt6Widgets_FOUND)
    add_subdirectory(widgets)
endif()

=== autotests/widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 g10 Code GmbH 
# SPDX-FileContributor: Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DMAIL_DATA_DIR="${CMAKE_CURRENT_SOURCE_DIR}/../testdata")
include(${CMAKE_SOURCE_DIR}/cmake/modules/add_gpg_crypto_test.cmake)

ecm_add_test(messageviewerdialogtest.cpp
    LINK_LIBRARIES KPim6MimeTreeParserWidgets Qt::Test
    NAME_PREFIX "widgets-"
)

add_executable(messageviewertest messageviewertest.cpp ../setupenv.cpp)
add_gpg_crypto_test(messageviewertest widgets-messageviewertest)
target_link_libraries(messageviewertest PUBLIC
    Qt::Test
    KPim6::MimeTreeParserWidgets
    KPim6::MimeTreeParserCore
    KF6::WidgetsAddons
    Gpgmepp
)

=== examples/qml/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-3-Clause
find_package(Qt6Qml ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(Qt6Quick ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
find_package(KPim6Mbox ${KPIM_MBOX_VERSION} CONFIG REQUIRED)

add_executable(mimetreeparser-qml
    main.cpp
    messagehandler.cpp
    messagehandler.h
    resources.qrc
)

target_link_libraries(mimetreeparser-qml PUBLIC
    Qt::Quick
    Qt::Widgets
    Qt::Qml
    Qt::Gui
    KF6::I18n
    KPim6::MimeTreeParserCore
    KPim6::Mbox
    Gpgmepp
)
if(TARGET KF6::I18nQml)
target_link_libraries(mimetreeparser-qml PUBLIC
        KF6::I18nQml
)
endif()

=== src/widgets/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 g10 Code GmbH
# SPDX-FileContributor: Carl Schwan <carlschwan@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

ecm_setup_version(PROJECT
    VARIABLE_PREFIX MIMETREEPARSER_WIDGETS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_widgets_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserWidgetsConfigVersion.cmake"
    SOVERSION 6
)

add_library(KPim6MimeTreeParserWidgets)
add_library(KPim6::MimeTreeParserWidgets
    ALIAS KPim6MimeTreeParserWidgets)

target_sources(KPim6MimeTreeParserWidgets PRIVATE
     attachmentview_p.h
     attachmentview.cpp
     messagecontainerwidget_p.h
     messagecontainerwidget.cpp
     messageviewer.h
     messageviewer.cpp
     messageviewerdialog.h
     messageviewerdialog.cpp
)

ecm_qt_declare_logging_category(KPim6MimeTreeParserWidgets
    HEADER mimetreeparser_widgets_debug.h
    IDENTIFIER MIMETREEPARSER_WIDGET_LOG
    CATEGORY_NAME org.kde.pim.mimetreeparser.widgets
    DESCRIPTION "mimetreeparser (pim lib)"
    EXPORT MIMETREEPARSER
)

if(COMPILE_WITH_UNITY_CMAKE_SUPPORT)
    set_target_properties(KPim6MimeTreeParserWidgets PROPERTIES UNITY_BUILD ON)
endif()
generate_export_header(KPim6MimeTreeParserWidgets BASE_NAME mimetreeparser_widgets)


target_include_directories(KPim6MimeTreeParserWidgets INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserWidgets>")

target_link_libraries(KPim6MimeTreeParserWidgets
PUBLIC
    Qt::Widgets
    KPim6::Mime
PRIVATE
    KPim6::MimeTreeParserCore
    Qt::PrintSupport
    KF6::I18n
    KF6::CalendarCore
    KF6::WidgetsAddons
    KPim6::Libkleo
    Gpgmepp
)

set_target_properties(KPim6MimeTreeParserWidgets PROPERTIES
	VERSION ${MIMETREEPARSER_WIDGETS_VERSION}
	SOVERSION ${MIMETREEPARSER_WIDGETS_SOVERSION}
    EXPORT_NAME MimeTreeParserWidgets
)

ecm_generate_pri_file(BASE_NAME MimeTreeParserWidgets
    LIB_NAME KPim6MimeTreeParserWidgets
    DEPS "MimeTreeParserWidgets" 
    FILENAME_VAR PRI_FILENAME
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

install(TARGETS
    KPim6MimeTreeParserWidgets
    EXPORT KPim6MimeTreeParserWidgetsTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS}
)

ecm_generate_headers(MimeTreeParserWidgets_CamelCase_HEADERS
    HEADER_NAMES
        MessageViewer
        MessageViewerDialog
    REQUIRED_HEADERS MimeTreeParserWidgets_HEADERS
    PREFIX MimeTreeParserWidgets
)

install(FILES
    ${MimeTreeParserWidgets_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserWidgets/MimeTreeParserWidgets
    COMPONENT Devel
)
install(FILES
    ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_widgets_export.h
    ${MimeTreeParserWidgets_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserWidgets/mimetreeparserwidgets
    COMPONENT Devel
)

if(BUILD_QCH)
    ecm_add_qch(
        KPim6MimeTreeParserWidgets_QCH
        NAME MimeTreeParserWidgets
        BASE_NAME KPim6MimeTreeParserWidgets
        VERSION ${PIM_VERSION}
        ORG_DOMAIN org.kde
        # using only public headers, to cover only public API
        SOURCES ${MimeTreeParserWidgets_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Core_QCH
            Qt6Widgets_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            MIMETREEPARSER_WIDGETS_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
   )
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPim6MimeTreeParserWidgets")

if(BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPim6MimeTreeParserWidgets_QCH
        FILE KPim6MimeTreeParserWidgetsQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
   )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPim6MimeTreeParserWidgetsQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPimMimeTreeParserWidgetsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserWidgetsConfig.cmake"
    INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserWidgetsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KPim6MimeTreeParserWidgetsConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

install(EXPORT KPim6MimeTreeParserWidgetsTargets
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    FILE KPim6MimeTreeParserWidgetsTargets.cmake
    NAMESPACE KPim6::
)

install(FILES
   ${CMAKE_CURRENT_BINARY_DIR}/mimetreeparser_widgets_version.h
   DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KPim6/MimeTreeParserWidgets
   COMPONENT Devel
)

## mimetreeparser 24.12.0

=== debian/changelog ===
mimetreeparser (24.12.0-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Wed, 18 Dec 2024 22:54:31 +0100

mimetreeparser (24.12.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Limit qml6-module-org-kde-mimetreeparser to architectures where Qt 6
    WebEngine is available.

 -- Patrick Franz <deltaone@debian.org>  Sun, 15 Dec 2024 12:41:20 +0100

mimetreeparser (24.12.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * Add/update Heiko Becker in upstream signing keys.
  * New upstream release (24.12.0).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 14 Dec 2024 15:38:19 +0100

mimetreeparser (24.08.2-2) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Temporarily add qt6-declarative-private-dev to workaround #1087385.

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 Nov 2024 14:06:51 +0100

mimetreeparser (24.08.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.08.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Oct 2024 15:03:27 +0200

mimetreeparser (24.08.0-1) experimental; urgency=medium

  * Initial release. (Closes: #1080958)

 -- Patrick Franz <deltaone@debian.org>  Sat, 07 Sep 2024 10:59:09 +0200

=== debian/control ===
Source: mimetreeparser
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               extra-cmake-modules (>= 6.6.0~),
               gettext,
               gpg-agent <!nocheck>,
               libgpgme-dev (>= 1.21.0~),
               libgpgmepp-dev (>= 1.23.2~),
               libkf6calendarcore-dev (>= 6.6.0~),
               libkf6i18n-dev (>= 6.6.0~),
               libkf6widgetsaddons-dev (>= 6.6.0~),
               libkleo-dev (>= 4:24.12.0~),
               libkmbox-dev (>= 24.12.0~),
               libkmime-dev (>= 24.12.0~),
               libxkbcommon-dev,
               qml6-module-org-kde-kirigami,
               qml6-module-qtwebengine [amd64 arm64 armhf i386],
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/pim/mimetreeparser
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser.git
Rules-Requires-Root: no

Package: libmimetreeparser-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: MIME tree parser - data files
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the data files.

Package: libkpim6mimetreeparsercore6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libmimetreeparser-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: core library for a MIME tree parser
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the core library.

Package: libkpim6mimetreeparserwidgets6
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: libmimetreeparser-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: widgets library for a MIME tree parser
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the widgets library.

Package: libmimetreeparser-dev
Architecture: any
Multi-Arch: same
Depends: libkf6i18n-dev (>= 6.6.0~),
         libkmbox-dev (>= 24.12.0~),
         libkmime-dev (>= 24.12.0~),
         libkpim6mimetreeparsercore6 (= ${binary:Version}),
         libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
         qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],
         ${misc:Depends},
Description: MIME tree parser - development files
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the development files.
Section: libdevel

Package: qml6-module-org-kde-mimetreeparser
Architecture: amd64 arm64 armhf i386
Multi-Arch: same
Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
Description: QML module for a MIME tree parser
 This is a parser for a MIME tree and is based on KMime. The goal is
 given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the QML module.

## mimetreeparser 24.12.2

=== debian/changelog ===
mimetreeparser (24.12.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (24.12.2).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sun, 23 Feb 2025 00:07:16 +0100

=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                gpg-agent <!nocheck>,
@@ -15,9 +15,9 @@
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:24.12.0~),
-               libkmbox-dev (>= 24.12.0~),
-               libkmime-dev (>= 24.12.0~),
+               libkleo-dev (>= 4:24.12.2~),
+               libkmbox-dev (>= 24.12.2~),
+               libkmime-dev (>= 24.12.2~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
                qml6-module-qtwebengine [amd64 arm64 armhf i386],
@@ -78,8 +78,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6i18n-dev (>= 6.6.0~),
-         libkmbox-dev (>= 24.12.0~),
-         libkmime-dev (>= 24.12.0~),
+         libkmbox-dev (>= 24.12.2~),
+         libkmime-dev (>= 24.12.2~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],

## mimetreeparser 24.12.3

=== debian/changelog ===
mimetreeparser (24.12.3-1+rpi1) trixie-staging; urgency=medium

  [changes brought forward from 24.12.0-3+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Sat, 11 Jan 2025 15:32:04 +0000]
  * Remove armhf from qtwebengine related architecture lists.
  * Disable testsuite.

 -- Raspbian forward porter <root@raspbian.org>  Mon, 05 May 2025 12:02:28 +0000

mimetreeparser (24.12.3-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * New upstream release (24.12.3).
  * Update build-deps and deps with the info from cmake.

 -- Patrick Franz <deltaone@debian.org>  Sat, 29 Mar 2025 18:49:28 +0100

=== debian/control ===
--- 
+++ 
@@ -15,18 +15,18 @@
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:24.12.2~),
-               libkmbox-dev (>= 24.12.2~),
-               libkmime-dev (>= 24.12.2~),
+               libkleo-dev (>= 4:24.12.3~),
+               libkmbox-dev (>= 24.12.3~),
+               libkmime-dev (>= 24.12.3~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
-               qml6-module-qtwebengine [amd64 arm64 armhf i386],
+               qml6-module-qtwebengine [amd64 arm64 i386],
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/pim/mimetreeparser
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser
 Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser.git
@@ -78,11 +78,11 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6i18n-dev (>= 6.6.0~),
-         libkmbox-dev (>= 24.12.2~),
-         libkmime-dev (>= 24.12.2~),
+         libkmbox-dev (>= 24.12.3~),
+         libkmime-dev (>= 24.12.3~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
-         qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],
+         qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 i386],
          ${misc:Depends},
 Description: MIME tree parser - development files
  This is a parser for a MIME tree and is based on KMime. The goal is
@@ -94,7 +94,7 @@
 Section: libdevel
 
 Package: qml6-module-org-kde-mimetreeparser
-Architecture: amd64 arm64 armhf i386
+Architecture: amd64 arm64 i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML module for a MIME tree parser

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk

# Starting with a library package $*, remove the ABI and append a
# -MAJOR.MINOR suffix without the third component of the upstream version.
ABIVirtualPackage = $(shell echo $* | sed 's/abi[0-9]\+//')-$(basename $(DEB_VERSION_UPSTREAM))
pkgs_lib := $(filter-out %-dev %-dbg %-bin %-data,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@

override_dh_makeshlibs: $(pkgs_lib:=-makeshlibs)
	dh_makeshlibs --remaining-packages
$(pkgs_lib:=-makeshlibs): %-makeshlibs:
	dh_makeshlibs -p$* '-V$* (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $(ABIVirtualPackage)'

override_dh_gencontrol: $(pkgs_lib:=-gencontrol)
	dh_gencontrol --remaining-packages
$(pkgs_lib:=-gencontrol): %-gencontrol:
	dh_gencontrol -p$* -- -VABI:VirtualPackage=$(ABIVirtualPackage)

override_dh_auto_test:
	#- xvfb-run -- dh_auto_test --no-parallel

## mimetreeparser 25.04.1

=== debian/changelog ===
mimetreeparser (25.04.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 07 May 2025 22:18:44 +0100

mimetreeparser (25.04.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 30 Apr 2025 20:04:34 +0100

mimetreeparser (24.12.3-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Sat, 15 Mar 2025 14:15:32 -0500

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,13 @@
 Source: mimetreeparser
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                gpg-agent <!nocheck>,
@@ -15,21 +16,21 @@
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:24.12.3~),
-               libkmbox-dev (>= 24.12.3~),
-               libkmime-dev (>= 24.12.3~),
+               libkleo-dev (>= 4:25.04.1~),
+               libkmbox-dev (>= 25.04.1~),
+               libkmime-dev (>= 25.04.1~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
-               qml6-module-qtwebengine [amd64 arm64 i386],
+               qml6-module-qtwebengine [amd64 arm64 armhf i386],
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.7.0~),
                qt6-declarative-private-dev,
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/pim/mimetreeparser
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/mimetreeparser.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mimetreeparser
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/mimetreeparser
 Rules-Requires-Root: no
 
 Package: libmimetreeparser-data
@@ -78,11 +79,11 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6i18n-dev (>= 6.6.0~),
-         libkmbox-dev (>= 24.12.3~),
-         libkmime-dev (>= 24.12.3~),
+         libkmbox-dev (>= 25.04.1~),
+         libkmime-dev (>= 25.04.1~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
-         qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 i386],
+         qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],
          ${misc:Depends},
 Description: MIME tree parser - development files
  This is a parser for a MIME tree and is based on KMime. The goal is
@@ -94,7 +95,7 @@
 Section: libdevel
 
 Package: qml6-module-org-kde-mimetreeparser
-Architecture: amd64 arm64 i386
+Architecture: amd64 arm64 armhf i386
 Multi-Arch: same
 Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: QML module for a MIME tree parser

## mimetreeparser 25.07.80

=== debian/changelog ===
mimetreeparser (25.07.80-0ubuntu1) questing; urgency=medium

  * New upstream (beta) release (25.07.80)
  * Add new build depends.

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Jul 2025 06:45:44 +0100

mimetreeparser (25.04.3-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Jul 2025 07:56:51 +0100

mimetreeparser (25.04.2-0ubuntu1) questing; urgency=medium

  * New upstream release (25.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Jun 2025 12:02:14 +0100

=== debian/control ===
--- 
+++ 
@@ -15,10 +15,12 @@
                libgpgmepp-dev (>= 1.23.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
                libkf6i18n-dev (>= 6.6.0~),
+               libkf6colorscheme-dev,
+               libkf6config-dev,
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.04.1~),
-               libkmbox-dev (>= 25.04.1~),
-               libkmime-dev (>= 25.04.1~),
+               libkleo-dev (>= 4:25.07.80~),
+               libkmbox-dev (>= 25.07.80~),
+               libkmime-dev (>= 25.07.80~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
                qml6-module-qtwebengine [amd64 arm64 armhf i386],
@@ -79,8 +81,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6i18n-dev (>= 6.6.0~),
-         libkmbox-dev (>= 25.04.1~),
-         libkmime-dev (>= 25.04.1~),
+         libkmbox-dev (>= 25.07.80~),
+         libkmime-dev (>= 25.07.80~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],

## mimetreeparser 25.07.90

=== debian/changelog ===
mimetreeparser (25.07.90-0ubuntu1) questing; urgency=medium

  * New upstream (RC) release (25.07.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Jul 2025 18:01:58 +0100

=== debian/control ===
--- 
+++ 
@@ -14,13 +14,13 @@
                libgpgme-dev (>= 1.21.0~),
                libgpgmepp-dev (>= 1.23.2~),
                libkf6calendarcore-dev (>= 6.6.0~),
-               libkf6i18n-dev (>= 6.6.0~),
                libkf6colorscheme-dev,
                libkf6config-dev,
+               libkf6i18n-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.07.80~),
-               libkmbox-dev (>= 25.07.80~),
-               libkmime-dev (>= 25.07.80~),
+               libkleo-dev (>= 4:25.07.90~),
+               libkmbox-dev (>= 25.07.90~),
+               libkmime-dev (>= 25.07.90~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
                qml6-module-qtwebengine [amd64 arm64 armhf i386],
@@ -81,8 +81,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6i18n-dev (>= 6.6.0~),
-         libkmbox-dev (>= 25.07.80~),
-         libkmime-dev (>= 25.07.80~),
+         libkmbox-dev (>= 25.07.90~),
+         libkmime-dev (>= 25.07.90~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],

## mimetreeparser 25.08.0

=== debian/changelog ===
mimetreeparser (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 12:00:23 +0100

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                libkf6config-dev,
                libkf6i18n-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.07.90~),
-               libkmbox-dev (>= 25.07.90~),
-               libkmime-dev (>= 25.07.90~),
+               libkleo-dev (>= 4:25.08.0~),
+               libkmbox-dev (>= 25.08.0~),
+               libkmime-dev (>= 25.08.0~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
                qml6-module-qtwebengine [amd64 arm64 armhf i386],
@@ -81,8 +81,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6i18n-dev (>= 6.6.0~),
-         libkmbox-dev (>= 25.07.90~),
-         libkmime-dev (>= 25.07.90~),
+         libkmbox-dev (>= 25.08.0~),
+         libkmime-dev (>= 25.08.0~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],

## mimetreeparser 25.08.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,11 +3,11 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.3.3")
+set(PIM_VERSION "6.5.1")
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup
-set(KF_MIN_VERSION "6.6.0")
+set(KF_MIN_VERSION "6.14.0")
 find_package(ECM ${KF_MIN_VERSION} CONFIG REQUIRED)
 set(CMAKE_MODULE_PATH
     ${CMAKE_MODULE_PATH}
@@ -26,7 +26,6 @@
 
 include(ECMQmlModule)
 include(ECMSetupVersion)
-include(FeatureSummary)
 include(KDEGitCommitHooks)
 include(KDEClangFormat)
 file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES
@@ -57,9 +56,9 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 
-set(KPIM_MIME_VERSION "6.3.3")
-set(KPIM_LIBKLEO_VERSION "6.3.3")
-set(KPIM_MBOX_VERSION "6.3.3")
+set(KPIM_MIME_VERSION "6.5.1")
+set(KPIM_LIBKLEO_VERSION "6.5.1")
+set(KPIM_MBOX_VERSION "6.5.1")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT
@@ -83,6 +82,7 @@
 find_package(Qt6PrintSupport ${QT_REQUIRED_VERSION} CONFIG REQUIRED)
 find_package(KF6I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6CalendarCore ${KF_MIN_VERSION} CONFIG REQUIRED)
+find_package(KF6ColorScheme ${KF_MIN_VERSION} CONFIG REQUIRED)
 find_package(KF6WidgetsAddons ${KF_MIN_VERSION} CONFIG)
 find_package(KPim6Mime ${KPIM_MIME_VERSION} CONFIG REQUIRED)
 find_package(KPim6Mbox ${KPIM_MBOX_VERSION} CONFIG REQUIRED)
@@ -99,7 +99,7 @@
 ########### Targets ###########
 
 add_definitions(-DQT_NO_CONTEXTLESS_CONNECT)
-ecm_set_disabled_deprecation_versions(QT 6.8.0 KF 6.8.0)
+ecm_set_disabled_deprecation_versions(QT 6.10.0 KF 6.16.0)
 
 option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

=== examples/qml/CMakeLists.txt ===
--- 
+++ 
@@ -21,8 +21,6 @@
     KPim6::Mbox
     Gpgmepp
 )
-if(TARGET KF6::I18nQml)
 target_link_libraries(mimetreeparser-qml PUBLIC
         KF6::I18nQml
 )
-endif()

=== debian/changelog ===
mimetreeparser (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 07:13:39 +0100

=== debian/control ===
--- 
+++ 
@@ -18,9 +18,9 @@
                libkf6config-dev,
                libkf6i18n-dev (>= 6.6.0~),
                libkf6widgetsaddons-dev (>= 6.6.0~),
-               libkleo-dev (>= 4:25.08.0~),
-               libkmbox-dev (>= 25.08.0~),
-               libkmime-dev (>= 25.08.0~),
+               libkleo-dev (>= 4:25.08.1~),
+               libkmbox-dev (>= 25.08.1~),
+               libkmime-dev (>= 25.08.1~),
                libxkbcommon-dev,
                qml6-module-org-kde-kirigami,
                qml6-module-qtwebengine [amd64 arm64 armhf i386],
@@ -81,8 +81,8 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf6i18n-dev (>= 6.6.0~),
-         libkmbox-dev (>= 25.08.0~),
-         libkmime-dev (>= 25.08.0~),
+         libkmbox-dev (>= 25.08.1~),
+         libkmime-dev (>= 25.08.1~),
          libkpim6mimetreeparsercore6 (= ${binary:Version}),
          libkpim6mimetreeparserwidgets6 (= ${binary:Version}),
          qml6-module-org-kde-mimetreeparser (= ${binary:Version}) [amd64 arm64 armhf i386],

## mimetreeparser 25.08.1+p24.04+vstable+git20250912.2139

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
 
-set(PIM_VERSION "6.5.1")
+set(PIM_VERSION "6.5.2")
 project(MimeTreeParserNG VERSION ${PIM_VERSION})
 
 # ECM setup

=== debian/changelog ===
mimetreeparser (25.08.1+p24.04+vstable+git20250912.2139-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 12 Sep 2025 21:39:08 +0000

mimetreeparser (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 12:00:08 +0000

mimetreeparser (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 15:20:36 +0000

mimetreeparser (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 23:55:43 +0000

mimetreeparser (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 12:46:46 +0000

mimetreeparser (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 06:12:23 +0000

mimetreeparser (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:38:41 +0000

mimetreeparser (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 16:11:26 +0000

mimetreeparser (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 16:27:34 +0000

mimetreeparser (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 21:37:54 +0000

mimetreeparser (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 20:13:56 +0000

mimetreeparser (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 12:38:23 +0000

mimetreeparser (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 23:02:48 +0000

mimetreeparser (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 09:35:09 +0000

mimetreeparser (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 20 Jun 2024 13:25:10 +0000

mimetreeparser (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 Apr 2024 13:10:18 +0000

mimetreeparser (24.02.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 18:21:33 +0000

mimetreeparser (24.02.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 05:20:35 +0000

mimetreeparser (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Sep 2023 11:55:35 +0000

mimetreeparser (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 05 Jul 2023 11:55:35 +0000

## mimetreeparser 25.08.1+p24.04+vstable+git20250916.0341

=== debian/changelog ===
mimetreeparser (25.08.1+p24.04+vstable+git20250916.0341-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 16 Sep 2025 03:41:51 +0000

## mimetreeparser 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -56,9 +56,9 @@
 ecm_check_outbound_license(LICENSES GPL-2.0-only  FILES ${ALL_SOURCE_FILES})
 
 
-set(KPIM_MIME_VERSION "6.5.1")
-set(KPIM_LIBKLEO_VERSION "6.5.1")
-set(KPIM_MBOX_VERSION "6.5.1")
+set(KPIM_MIME_VERSION "6.5.2")
+set(KPIM_LIBKLEO_VERSION "6.5.2")
+set(KPIM_MBOX_VERSION "6.5.2")
 set(GPGME_REQUIRED_VERSION "1.23.2")
 
 ecm_setup_version(PROJECT

=== examples/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl.schwan@gnupg.com>
# SPDX-License-Identifier: BSD-3-Clause

if(Qt6Quick_FOUND)
    add_subdirectory(qml)
endif()

if(Qt6Widgets_FOUND)
    add_subdirectory(widgets)
endif()

=== src/widgets/CMakeLists.txt ===
--- 
+++ 
@@ -22,6 +22,10 @@
      messageviewer.cpp
      messageviewerdialog.h
      messageviewerdialog.cpp
+     messageviewerwindow.h
+     messageviewerwindow.cpp
+     messageviewerutils_p.h
+     messageviewerutils_p.cpp
 )
 
 ecm_qt_declare_logging_category(KPim6MimeTreeParserWidgets
@@ -48,6 +52,7 @@
     KPim6::MimeTreeParserCore
     Qt::PrintSupport
     KF6::I18n
+    KF6::ColorScheme
     KF6::CalendarCore
     KF6::WidgetsAddons
     KPim6::Libkleo
@@ -77,6 +82,7 @@
     HEADER_NAMES
         MessageViewer
         MessageViewerDialog
+        MessageViewerWindow
     REQUIRED_HEADERS MimeTreeParserWidgets_HEADERS
     PREFIX MimeTreeParserWidgets
 )

=== debian/changelog ===
mimetreeparser (25.08.2-0zneon+24.04+noble+release+build29) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 05:53:32 +0000

mimetreeparser (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 06:26:32 +0000

=== debian/control ===
Source: mimetreeparser
Section: libs
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-kcalendarcore-dev,
               kf6-kcolorscheme-dev,
               kf6-kdeclarative-dev,
               kf6-ki18n-dev,
               kpim6-kmbox-dev,
               kpim6-kmime-dev,
               kpim6-libkleo-dev,
               libcups2-dev,
               libgpgme-dev,
               libqgpgmeqt6-dev,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-tools-dev,
               reuse
Standards-Version: 4.6.2
Homepage: https://projects.kde.org/projects/kde/pim/mimetreeparser
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mimetreeparser.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mimetreeparser
Maintainer: Neon CI <neon@kde.org>

Package: kpim6-mimetreeparser
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-qtwebengine,
         ${misc:Depends},
         ${shlibs:Depends}
Description: library for handling MIME data
 This library is a parser for a MIME tree and is based on KMime. The
 goal is given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: kpim6-mimetreeparser-dev
Architecture: any
X-Neon-MergedPackage: true
Multi-Arch: same
Depends: kf6-ki18n-dev,
         kpim6-kmbox-dev,
         kpim6-kmime-dev,
         kpim6-mimetreeparser,
         qt6-base-dev,
         ${misc:Depends}
Description: library for handling MIME data - development files
 This library is a parser for a MIME tree and is based on KMime. The
 goal is given a MIME tree to extract a list of parts (e.g. text, html) and a
 list of attachments, check the validity of the signatures and decrypt any
 encrypted part.
 .
 This package contains the development files.

## mimetreeparser 25.08.2+p24.04+vstable+git20251013.0013

=== debian/changelog ===
mimetreeparser (25.08.2+p24.04+vstable+git20251013.0013-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 00:13:05 +0000

## mimetreeparser 25.08.2+p24.04+vstable+git20251015.1739

=== debian/changelog ===
mimetreeparser (25.08.2+p24.04+vstable+git20251015.1739-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 17:39:21 +0000

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ http://download.kde.org/stable/release-service/([\d.]+)/src/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@

## mimetreeparser 25.08.2+p24.04+vstable+git20251021.0351

=== debian/changelog ===
mimetreeparser (25.08.2+p24.04+vstable+git20251021.0351-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 21 Oct 2025 03:51:17 +0000
